Bug 1260264 - systemd rc-local.service as shipped does not work
systemd rc-local.service as shipped does not work
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-09-05 06:59 EDT by Berend De Schouwer
Modified: 2015-10-15 12:07 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-09-08 06:38:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Berend De Schouwer 2015-09-05 06:59:22 EDT
Description of problem:

systemd ships with rc-local.service.  This file is for backwards compatibility with /etc/rc.d/rc.local.  As shipped, 'systemctl enable rc-local.service' fails, which means that systemd-rc-local-generator also fails.

Version-Release number of selected component (if applicable):


A quick google says that it's broken since 188.

How reproducible:


Steps to Reproduce:
1. create /etc/rc.d/rc.local
2. chmod +x /etc/rc.d/rc.local
3. systemctl enable rc-local.service (or systemd-rc-local-generator)

Actual results:

The unit files have no [Install] section. They are not meant to be enabled
using systemctl.

Expected results:

service enabled

Additional info:


tested on x86_64 and arm

rc.local is deprecated, but still very useful on some hardware.
Comment 1 Lukáš Nykrýn 2015-09-08 06:38:31 EDT
This works for me:

[root@notas ~]# touch /etc/rc.d/rc.local
[root@notas ~]# chmod +x /etc/rc.d/rc.local
[root@notas ~]# cat /etc/rc.d/rc.local

date > /tmp/test

exit 0
[root@notas ~]# systemctl daemon-reload
[root@notas ~]# systemctl show -p WantedBy rc-local.service

and after reboot
[root@notas ~]# cat /tmp/test
Út zář  8 11:02:36 CEST 2015

Note You need to log in before you can comment on or make changes to this bug.